classification
Title: IDLE: clarify shell part of highlight sample
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2019-07-27 16:49 by terry.reedy, last changed 2019-07-29 01:39 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14983 merged terry.reedy, 2019-07-27 21:54
PR 14990 merged miss-islington, 2019-07-28 16:04
PR 14991 merged miss-islington, 2019-07-28 16:14
Messages (5)
msg348548 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-27 16:49
The 'console' highlight is described as Shell Normal Text.  It is the 'normal' text for non-error output *from the shell* (prompt and debug status), but not the 'normal' text, which is used for code.

Aside from this, the editor section uses examples rather than description, such as 'list' rather than 'builtin'.  I think the shell section should also:  "Traceback" instead of stderr (which beginners may or may not understand), 'program output' instead of 'stdout'.  Removing the two blank line will make room to put these on separate lines, like they actually are.
msg348580 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-28 16:04
New changeset b222955355c8077a3ceca79195731663d7c3dd5f by Terry Jan Reedy in branch 'master':
bpo-37692: Improve highlight config sample (#14983)
https://github.com/python/cpython/commit/b222955355c8077a3ceca79195731663d7c3dd5f
msg348583 - (view) Author: miss-islington (miss-islington) Date: 2019-07-28 16:22
New changeset d30626443d3ca0ea690c6124bdc95a53c12ecd9d by Miss Islington (bot) in branch '3.7':
bpo-37692: Improve highlight config sample (GH-14983)
https://github.com/python/cpython/commit/d30626443d3ca0ea690c6124bdc95a53c12ecd9d
msg348584 - (view) Author: miss-islington (miss-islington) Date: 2019-07-28 16:39
New changeset c94386d01372e69a67935bf284bfab31dac2adab by Miss Islington (bot) in branch '3.8':
bpo-37692: Improve highlight config sample (GH-14983)
https://github.com/python/cpython/commit/c94386d01372e69a67935bf284bfab31dac2adab
msg348592 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-29 01:39
A comment on the PR discussed the label changes made.
History
Date User Action Args
2019-07-29 01:39:20terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg348592

stage: patch review -> resolved
2019-07-28 16:39:09miss-islingtonsetmessages: + msg348584
2019-07-28 16:22:23miss-islingtonsetnosy: + miss-islington
messages: + msg348583
2019-07-28 16:14:20miss-islingtonsetpull_requests: + pull_request14757
2019-07-28 16:04:47terry.reedysetmessages: + msg348580
2019-07-28 16:04:46miss-islingtonsetpull_requests: + pull_request14756
2019-07-27 22:09:38terry.reedysetpull_requests: + pull_request14752
2019-07-27 22:09:22terry.reedysetpull_requests: - pull_request14752
2019-07-27 21:54:51terry.reedysetkeywords: + patch
stage: patch review
pull_requests: + pull_request14752
2019-07-27 16:49:33terry.reedycreate